Get a patient record by ID
get
/fhir/r4/{query_endpoint_alias}/Patient/{id}
This path retrieves a patient record using the associated patient ID.
The Oracle Health Clinical Data Exchange Master Patient Index (MPI) engine generates a unique Global Patient ID that identifies a patient across all providers in the network that the system used to retreive patient records.Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
authorization(required): string
This string contains the credentials to authenticate a consumer to the service. This value should be the OAuth 2.0 bearer token.
Response
Supported Media Types
- application/fhir+json
200 Response
Success.
Headers
-
X-Request-Id: string
Oracle troubleshooting identifier.
-
opc-request-id: string
Oracle troubleshooting identifier.
Root Schema : Patient
Type:
objectThe Patient FHIR resource.
Show Source
-
address:
array address
Minimum Number of Items:
1Unique Items Required:true -
birthdate:
string(date)
Minimum Length:
1The patient's date of birth. -
communication:
array communication
Minimum Number of Items:
1Unique Items Required:trueA language that may be used to communicate with the patient about their health -
deceased:
object deceased
-
gender:
string
Minimum Length:
1Allowed Values:[ "male", "female" ]The patient's gender. -
id:
string
The unique global patient ID that identifies a patient across all providers in the network.
-
identifier:
array identifier
Minimum Number of Items:
1Unique Items Required:trueThe list of unique identifiers across all the providers and the associated Social Security numbers (SSNs) are returned. The supported system is http://terminology.hl7.org/CodeSystem/v2-0203. -
maritalStatus:
CodeableConcept
-
name:
array name
Minimum Number of Items:
1Unique Items Required:true -
resourceType:
string
The resource type is Patient.
-
telecom:
array telecom
Example:
{
"resourceType": "Patient",
"id": "2586450001",
"identifier": [
{
"use": "usual",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "MR",
"display": "Medical record number"
}
]
},
"system": "891c71549f4a4bb439b4de8a532f155c_2.16.840.1.113883.3.995.10.1.1",
"value": "8133"
},
{
"use": "SSN",
"type": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0203",
"code": "SS"
}
],
"text": "SSN"
},
"system": "http://hl7.org/fhir/sid/us-ssn",
"value": "991123333"
}
],
"name": [
{
"use": "official",
"family": "PEREZ",
"given": [
"JUAN"
]
}
],
"telecom": [
{
"system": "phone",
"value": "123-123-1234",
"use": "home"
}
],
"gender": "male",
"birthdate": "1985-07-09",
"deceasedBoolean": true,
"deceasedDateTime": "2015-02-14T13:42:00Z",
"maritalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v3-MaritalStatus",
"code": "M"
}
]
},
"address": [
{
"use": "home",
"text": "1234, SAMPLE ROAD CITYTOWN, ST 56789",
"line": [
"1234, SAMPLE ROAD"
],
"city": "CITYTOWN",
"state": "ST",
"postalCode": "56789"
}
],
"communication": [
{
"language": {
"coding": [
{
"system": "urn:ietf:bcp:47",
"code": "nl-NL",
"display": "Dutch"
}
]
},
"preferred": true
}
]
}
Nested Schema : address
Type:
arrayMinimum Number of Items:
1Unique Items Required:
Show Source
trueNested Schema : communication
Type:
arrayMinimum Number of Items:
1Unique Items Required:
trueA language that may be used to communicate with the patient about their health
Show Source
Nested Schema : deceased
Type:
Show Source
object-
deceasedBoolean:
boolean
-
deceasedDateTime:
string(date)
Minimum Length:
1The date and time of death.
Nested Schema : identifier
Type:
arrayMinimum Number of Items:
1Unique Items Required:
trueThe list of unique identifiers across all the providers and the associated Social Security numbers (SSNs) are returned. The supported system is http://terminology.hl7.org/CodeSystem/v2-0203.
Show Source
Nested Schema : Element
Type:
Show Source
object-
extension:
array extension
-
id:
string
The unique ID for inter-element referencing.
Nested Schema : Address-allOf[1]
Type:
Show Source
object-
city:
string
The name of city, town, and so on.
-
country:
string
The country (for example, can be an ISO 3166 two-letter or three-letter code).
-
district:
string
The district name (also known as the county).
-
line:
array line
The street name, number, direction, P.O. Box, and so on.
-
period:
Period
-
postalcode:
string
The postal code for the area.
-
state:
string
The subunit of the country (abbreviations are accepted).
-
type:
string
postalphysicalboth
-
use:
string
The purpose of this address.
homeworktempoldbilling
Nested Schema : Extension
Type:
Show Source
object-
url:
string
Minimum Length:
1Identifies the meaning of the extension. -
value:
string
Minimum Length:
1The value of the extension.
Nested Schema : line
Type:
arrayThe street name, number, direction, P.O. Box, and so on.
Show Source
Nested Schema : Period-allOf[1]
Type:
Show Source
object-
end:
string(date-time)
The end time with an inclusive boundary.
-
start:
string(date-time)
The starting time with an inclusive boundary.
Nested Schema : items
Type:
Show Source
object-
language:
CodeableConcept
-
preferred:
boolean
The language preference indicator.
Match All
Show Source
Nested Schema : items-allOf[1]
Type:
objectNested Schema : Identifier-allOf[1]
Type:
Show Source
object-
period:
Period
-
system:
string
The namespace for the identifier value (URI).
-
type:
CodeableConcept
-
use:
string
usualofficialtempsecondaryold(if known)
-
value:
string
The value that is unique.
Nested Schema : CodeableConcept-allOf[1]
Type:
Show Source
object-
coding:
array coding
A reference to a code defined by a terminology system.
-
text:
string
The plain text representation of the concept.
Nested Schema : coding
Type:
arrayA reference to a code defined by a terminology system.
Show Source
Nested Schema : Coding-allOf[1]
Type:
Show Source
object-
code:
string
Minimum Length:
1The symbol in syntax defined by the system. -
display:
string
Minimum Length:
1The representation defined by the system. -
system:
string
Minimum Length:
1The identity of the terminology system. -
userSelected:
boolean
If this coding was chosen directly by the user.
-
version:
string
Minimum Length:
1The version of the system, if relevant.
Nested Schema : HumanName-allOf[1]
Type:
Show Source
object-
family:
string
The family name (often called the surname).
-
given:
array given
The given name (not always the first name). Includes middle names.
-
period:
Period
-
prefix:
array prefix
-
suffix:
array suffix
-
text:
string
The text representation of the full name.
-
use:
string
usualofficialtempnicknameanonymousoldmaiden
Nested Schema : given
Type:
arrayThe given name (not always the first name). Includes middle names.
Show Source
Nested Schema : prefix
Type:
Show Source
array-
Array of:
string
The parts that come before the name.
Nested Schema : items
Type:
Show Source
object-
system(required):
string
The telecommunication system that is used to contact the patient.
-
use(required):
string
The use of the patient's telecommunications.
-
value:
string
The actual point of contact value. This value is the current phone number or email address.
401 Response
Authorization information is missing or invalid.
403 Response
The user does not have sufficient access to perform this action.
404 Response
The requested resource was not found.
500 Response
Internal Server error.